VoiceBot
VoiceBots- VoiceBots ManageGET voicebot/voicebots- Get the list of VoiceBotsGET voicebot/voicebots/{id}- Get a single VoiceBotPOST voicebot/voicebots- Create a new VoiceBotPUT voicebot/voicebots/{id}- Update the VoiceBotDELETE voicebot/voicebots/{id}- Remove the VoiceBot
Voicebot Channel Instances- Voicebot Channel Instances ManageGET voicebot/voicebotChannelInstances- Get the list of Voicebot Channel InstancesGET voicebot/voicebotChannelInstances/{id}- Get a single Voicebot Channel InstancePOST voicebot/voicebotChannelInstances- Create a new Voicebot Channel InstancePUT voicebot/voicebotChannelInstances/{id}- Update the Voicebot Channel InstanceDELETE voicebot/voicebotChannelInstances/{id}- Remove the Voicebot Channel Instance
voicebot Channel Twilio Configurations- voicebot Channel Twilio Configurations ManageGET voicebot/voicebotChannelTwilioConfigurations- Get the list of voicebot Channel Twilio ConfigurationsGET voicebot/voicebotChannelTwilioConfigurations/{id}- Get a single voicebot Channel Twilio ConfigurationPOST voicebot/voicebotChannelTwilioConfigurations- Create a new voicebot Channel Twilio ConfigurationPUT voicebot/voicebotChannelTwilioConfigurations/{id}- Update the voicebot Channel Twilio ConfigurationDELETE voicebot/voicebotChannelTwilioConfigurations/{id}- Remove the voicebot Channel Twilio Configuration
Voice Bot Channel SIP Configurations- Voice Bot Channel SIP Configurations ManageGET voicebot/voicebotChannelSIPConfigurations- Get the list of Voice Bot Channel SIP ConfigurationsGET voicebot/voicebotChannelSIPConfigurations/{id}- Get a single Voice Bot Channel SIP ConfigurationPOST voicebot/voicebotChannelSIPConfigurations- Create a new Voice Bot Channel SIP ConfigurationPUT voicebot/voicebotChannelSIPConfigurations/{id}- Update the Voice Bot Channel SIP ConfigurationDELETE voicebot/voicebotChannelSIPConfigurations/{id}- Remove the Voice Bot Channel SIP Configuration
VoiceBot JSON Format
VoiceBot is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
trainingStatus |
enum | Allowed values are succeeded, processing, failed. |
importingStatus |
enum | Allowed values are none, processing, succeeded, failed. |
engineId |
guid | Id of the engine. |
id |
guid | Id of the voicebot. |
languageId |
string | Language options: en, zh-CN, zh-TW. |
description |
string | Description of this voicebot. |
name |
string | Name of the voicebot. |
timeIntervalToRepeatLastMessageWhenNoInput |
integer | Unit: Second. Available value: 1 - 60. Default: 20. |
voiceNameId |
string | Voice of this voicebot.(Male or Female) |
intentHighConfidenceScore |
integer | The score lower than the High Confidence Score is considered as no answer. |
lastUpdatedTime |
datetime | This attribute stores the last updated time for a voicebot. Once the voicebot or any sub attribute of the voicebot is edited, this value will be changed to the current time. |
timeToHangUpCallWhenNoInput |
integer | Unit: Second. Available value: 1 - 600. Default: 90. |
messageBeforeHangUpCallWhenNoInput |
string | |
wordsThatTriggerBotToWait |
string [] | Per line per word. For example, the caller says: Please hold on. |
messageWhenBotTriggeredToWait |
string | For example, Bot says: OK, take your time. |
botWaitingTime |
integer | Unit: Second. Default: 90. |
channelId |
guid | Id of the channel. |
engine |
engine | Reference to Chatbot Engine. |
channel |
channel | Reference to Voicebot Channel Instance. |
language |
language | Reference to Language. |
voiceName |
voiceName | Reference to . |
Get the list of VoiceBots
GET voicebot/voicebots
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
include |
string | query | no | Allowed value is "voicebotChannelInstance". |
-
Response:
An array of VoiceBot
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebots \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"trainingStatus": "",
"importingStatus": "",
"engineId": "",
"id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9",
"languageId": "",
"description": "",
"name": "",
"timeIntervalToRepeatLastMessageWhenNoInput": 1,
"voiceNameId": "",
"intentHighConfidenceScore": 1,
"lastUpdatedTime": "",
"timeToHangUpCallWhenNoInput": 1,
"messageBeforeHangUpCallWhenNoInput": "",
"wordsThatTriggerBotToWait": [
""
],
"messageWhenBotTriggeredToWait": "",
"botWaitingTime": 1,
"channelId": "",
"engine": {
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"name": ""
},
"channel": {
"id": "f526f2fc-49a6-4e20-b954-e0d22824d017",
"voiceChannelId": "",
"infoId": "",
"channelType": "",
"voiceChannel": {
"name": "",
"callbackUrl": "",
"plugInId": "",
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"payloadType": ""
}
},
"language": {
"id": "516B94B1-C148-EB11-8100-00155D081D0B",
"name": "Engilsh",
"canBeUsedInAgentConsoleUi": false,
"canBeUsedInControlPanelUi": false,
"canBeUsedInCampaign": false,
"canBeUsedInChatbot": false,
"canBeUsedInAgentAssist": false,
"canBeUsedInVoicebot": true
},
"voiceName": {
"id": "",
"language": "",
"languageCode": "",
"voiceType": "",
"genderType": "",
"sample": ""
}
}
]
Get a single VoiceBot
GET voicebot/voicebots/{id}
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
include |
string | query | no | Allowed value is "voicebotChannelInstance". |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebots/44e7f26e-c5c0-4a80-a5cc-153a81b44ed9 \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"trainingStatus": "",
"importingStatus": "",
"engineId": "",
"id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9",
"languageId": "",
"description": "",
"name": "",
"timeIntervalToRepeatLastMessageWhenNoInput": 1,
"voiceNameId": "",
"intentHighConfidenceScore": 1,
"lastUpdatedTime": "",
"timeToHangUpCallWhenNoInput": 1,
"messageBeforeHangUpCallWhenNoInput": "",
"wordsThatTriggerBotToWait": [
""
],
"messageWhenBotTriggeredToWait": "",
"botWaitingTime": 1,
"channelId": "",
"engine": {
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"name": ""
},
"channel": {
"id": "f526f2fc-49a6-4e20-b954-e0d22824d017",
"voiceChannelId": "",
"infoId": "",
"channelType": "",
"voiceChannel": {
"name": "",
"callbackUrl": "",
"plugInId": "",
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"payloadType": ""
}
},
"language": {
"id": "516B94B1-C148-EB11-8100-00155D081D0B",
"name": "Engilsh",
"canBeUsedInAgentConsoleUi": false,
"canBeUsedInControlPanelUi": false,
"canBeUsedInCampaign": false,
"canBeUsedInChatbot": false,
"canBeUsedInAgentAssist": false,
"canBeUsedInVoicebot": true
},
"voiceName": {
"id": "",
"language": "",
"languageCode": "",
"voiceType": "",
"genderType": "",
"sample": ""
}
}
Create a new VoiceBot
POST voicebot/voicebots
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
trainingStatus |
enum | body | no | Allowed values are succeeded, processing, failed. |
importingStatus |
enum | body | no | Allowed values are none, processing, succeeded, failed. |
engineId |
guid | body | no | Id of the engine. |
languageId |
string | body | no | Language options: en, zh-CN, zh-TW. |
description |
string | body | no | Description of this voicebot. |
name |
string | body | yes | Name of the voicebot. |
timeIntervalToRepeatLastMessageWhenNoInput |
integer | body | no | Unit: Second. Available value: 1 - 60. Default: 20. |
voiceNameId |
string | body | no | Voice of this voicebot.(Male or Female) |
intentHighConfidenceScore |
integer | body | no | The score lower than the High Confidence Score is considered as no answer. |
lastUpdatedTime |
datetime | body | no | This attribute stores the last updated time for a voicebot. Once the voicebot or any sub attribute of the voicebot is edited, this value will be changed to the current time. |
timeToHangUpCallWhenNoInput |
integer | body | no | Unit: Second. Available value: 1 - 600. Default: 90. |
messageBeforeHangUpCallWhenNoInput |
string | body | no | |
wordsThatTriggerBotToWait |
string [] | body | no | Per line per word. For example, the caller says: Please hold on. |
messageWhenBotTriggeredToWait |
string | body | no | For example, Bot says: OK, take your time. |
botWaitingTime |
integer | body | no | Unit: Second. Default: 90. |
channelId |
guid | body | no | Id of the channel. |
channel |
channel | body | yes | Reference to Voicebot Channel Instance. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebots \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"trainingStatus":"","importingStatus":"","engineId":"","languageId":"","description":"","name":"","timeIntervalToRepeatLastMessageWhenNoInput":1,"voiceNameId":"","intentHighConfidenceScore":1,"lastUpdatedTime":"","timeToHangUpCallWhenNoInput":1,"messageBeforeHangUpCallWhenNoInput":"","wordsThatTriggerBotToWait":[""],"messageWhenBotTriggeredToWait":"","botWaitingTime":1,"channelId":"","channel":{"voiceChannelId":"","infoId":"","channelType":""}}'
Response:
HTTP/1.1 201 Created
{
"trainingStatus": "",
"importingStatus": "",
"engineId": "",
"id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9",
"languageId": "",
"description": "",
"name": "",
"timeIntervalToRepeatLastMessageWhenNoInput": 1,
"voiceNameId": "",
"intentHighConfidenceScore": 1,
"lastUpdatedTime": "",
"timeToHangUpCallWhenNoInput": 1,
"messageBeforeHangUpCallWhenNoInput": "",
"wordsThatTriggerBotToWait": [
""
],
"messageWhenBotTriggeredToWait": "",
"botWaitingTime": 1,
"channelId": "",
"engine": {
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"name": ""
},
"channel": {
"id": "f526f2fc-49a6-4e20-b954-e0d22824d017",
"voiceChannelId": "",
"infoId": "",
"channelType": "",
"voiceChannel": {
"name": "",
"callbackUrl": "",
"plugInId": "",
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"payloadType": ""
}
},
"language": {
"id": "516B94B1-C148-EB11-8100-00155D081D0B",
"name": "Engilsh",
"canBeUsedInAgentConsoleUi": false,
"canBeUsedInControlPanelUi": false,
"canBeUsedInCampaign": false,
"canBeUsedInChatbot": false,
"canBeUsedInAgentAssist": false,
"canBeUsedInVoicebot": true
},
"voiceName": {
"id": "",
"language": "",
"languageCode": "",
"voiceType": "",
"genderType": "",
"sample": ""
}
}
Update the VoiceBot
PUT voicebot/voicebots/{id}
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
trainingStatus |
enum | no | Allowed values are succeeded, processing, failed. |
|
importingStatus |
enum | body | no | Allowed values are none, processing, succeeded, failed. |
engineId |
guid | body | no | Id of the engine. |
languageId |
string | body | no | Language options: en, zh-CN, zh-TW. |
description |
string | body | no | Description of this voicebot. |
name |
string | body | yes | Name of the voicebot. |
timeIntervalToRepeatLastMessageWhenNoInput |
integer | body | no | Unit: Second. Available value: 1 - 60. Default: 20. |
voiceNameId |
string | body | no | Voice of this voicebot.(Male or Female) |
intentHighConfidenceScore |
integer | body | no | The score lower than the High Confidence Score is considered as no answer. |
lastUpdatedTime |
datetime | body | no | This attribute stores the last updated time for a voicebot. Once the voicebot or any sub attribute of the voicebot is edited, this value will be changed to the current time. |
timeToHangUpCallWhenNoInput |
integer | body | no | Unit: Second. Available value: 1 - 600. Default: 90. |
messageBeforeHangUpCallWhenNoInput |
string | body | no | |
wordsThatTriggerBotToWait |
string [] | body | no | Per line per word. For example, the caller says: Please hold on. |
messageWhenBotTriggeredToWait |
string | body | no | For example, Bot says: OK, take your time. |
botWaitingTime |
integer | body | no | Unit: Second. Default: 90. |
channelId |
guid | body | no | Id of the channel. |
channel |
channel | body | yes | Reference to Voicebot Channel Instance. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebots/44e7f26e-c5c0-4a80-a5cc-153a81b44ed9 \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"trainingStatus":"","importingStatus":"","engineId":"","languageId":"","description":"","name":"","timeIntervalToRepeatLastMessageWhenNoInput":1,"voiceNameId":"","intentHighConfidenceScore":1,"lastUpdatedTime":"","timeToHangUpCallWhenNoInput":1,"messageBeforeHangUpCallWhenNoInput":"","wordsThatTriggerBotToWait":[""],"messageWhenBotTriggeredToWait":"","botWaitingTime":1,"channelId":"","channel":{"voiceChannelId":"","infoId":"","channelType":""}}'
Response:
HTTP/1.1 200 OK
{
"trainingStatus": "",
"importingStatus": "",
"engineId": "",
"id": "44e7f26e-c5c0-4a80-a5cc-153a81b44ed9",
"languageId": "",
"description": "",
"name": "",
"timeIntervalToRepeatLastMessageWhenNoInput": 1,
"voiceNameId": "",
"intentHighConfidenceScore": 1,
"lastUpdatedTime": "",
"timeToHangUpCallWhenNoInput": 1,
"messageBeforeHangUpCallWhenNoInput": "",
"wordsThatTriggerBotToWait": [
""
],
"messageWhenBotTriggeredToWait": "",
"botWaitingTime": 1,
"channelId": "",
"engine": {
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"name": ""
},
"channel": {
"id": "f526f2fc-49a6-4e20-b954-e0d22824d017",
"voiceChannelId": "",
"infoId": "",
"channelType": "",
"voiceChannel": {
"name": "",
"callbackUrl": "",
"plugInId": "",
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"payloadType": ""
}
},
"language": {
"id": "516B94B1-C148-EB11-8100-00155D081D0B",
"name": "Engilsh",
"canBeUsedInAgentConsoleUi": false,
"canBeUsedInControlPanelUi": false,
"canBeUsedInCampaign": false,
"canBeUsedInChatbot": false,
"canBeUsedInAgentAssist": false,
"canBeUsedInVoicebot": true
},
"voiceName": {
"id": "",
"language": "",
"languageCode": "",
"voiceType": "",
"genderType": "",
"sample": ""
}
}
Remove the VoiceBot
DELETE voicebot/voicebots/{id}
-
Parameters:
No Parameters
-
Response:
No Content
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebots/44e7f26e-c5c0-4a80-a5cc-153a81b44ed9 \
-X 'DELETE' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 204 No Content
Voicebot Channel Instance JSON Format
Voicebot Channel Instance is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
id |
guid | Id of the voice bot channel instance. |
voiceChannelId |
guid | Id of the voice bot channel. |
infoId |
guid | Id of the twilio or Sip configuration. |
channelType |
enum | Allowed values are twilio, sip. |
voiceChannel |
voiceChannel | Reference to . |
Get the list of Voicebot Channel Instances
GET voicebot/voicebotChannelInstances
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
include |
string | query | no | Allowed value is "info". |
-
Response:
An array of Voicebot Channel Instance
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelInstances \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"id": "f526f2fc-49a6-4e20-b954-e0d22824d017",
"voiceChannelId": "",
"infoId": "",
"channelType": "",
"voiceChannel": {
"name": "",
"callbackUrl": "",
"plugInId": "",
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"payloadType": ""
}
}
]
Get a single Voicebot Channel Instance
GET voicebot/voicebotChannelInstances/{id}
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
include |
string | query | no | Allowed value is "info". |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelInstances/f526f2fc-49a6-4e20-b954-e0d22824d017 \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"id": "f526f2fc-49a6-4e20-b954-e0d22824d017",
"voiceChannelId": "",
"infoId": "",
"channelType": "",
"voiceChannel": {
"name": "",
"callbackUrl": "",
"plugInId": "",
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"payloadType": ""
}
}
Create a new Voicebot Channel Instance
POST voicebot/voicebotChannelInstances
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
voiceChannelId |
guid | body | no | Id of the voice bot channel. |
infoId |
guid | body | no | Id of the twilio or Sip configuration. |
channelType |
enum | body | no | Allowed values are twilio, sip. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelInstances \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"voiceChannelId":"","infoId":"","channelType":""}'
Response:
HTTP/1.1 201 Created
{
"id": "f526f2fc-49a6-4e20-b954-e0d22824d017",
"voiceChannelId": "",
"infoId": "",
"channelType": "",
"voiceChannel": {
"name": "",
"callbackUrl": "",
"plugInId": "",
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"payloadType": ""
}
}
Update the Voicebot Channel Instance
PUT voicebot/voicebotChannelInstances/{id}
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
voiceChannelId |
guid | body | no | Id of the voice bot channel. |
infoId |
guid | body | no | Id of the twilio or Sip configuration. |
channelType |
enum | body | no | Allowed values are twilio, sip. |
-
Response:
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelInstances/f526f2fc-49a6-4e20-b954-e0d22824d017 \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"voiceChannelId":"","infoId":"","channelType":""}'
Response:
HTTP/1.1 200 OK
{
"id": "f526f2fc-49a6-4e20-b954-e0d22824d017",
"voiceChannelId": "",
"infoId": "",
"channelType": "",
"voiceChannel": {
"name": "",
"callbackUrl": "",
"plugInId": "",
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"payloadType": ""
}
}
Remove the Voicebot Channel Instance
DELETE voicebot/voicebotChannelInstances/{id}
-
Parameters:
No Parameters
-
Response:
No Content
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelInstances/f526f2fc-49a6-4e20-b954-e0d22824d017 \
-X 'DELETE' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 204 No Content
voicebot Channel Twilio Configuration JSON Format
voicebot Channel Twilio Configuration is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
id |
guid | Id of the twilio configuration. |
phoneNumber |
string | Customers can choose one. Cannot be changed after creation in this version. |
phoneNumberCountry |
string | Allowed values are BE, CA, DK, FR, AT, FI, US, NL, CL, GB, IL, PR, ZA, AU. |
Get the list of voicebot Channel Twilio Configurations
GET voicebot/voicebotChannelTwilioConfigurations
-
Parameters:
No Parameters
-
Response:
An array of voicebot Channel Twilio Configuration
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelTwilioConfigurations \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a",
"phoneNumber": "",
"phoneNumberCountry": ""
}
]
Get a single voicebot Channel Twilio Configuration
GET voicebot/voicebotChannelTwilioConfigurations/{id}
-
Parameters:
No Parameters
-
Response:
voicebot Channel Twilio Configuration
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelTwilioConfigurations/5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a",
"phoneNumber": "",
"phoneNumberCountry": ""
}
Create a new voicebot Channel Twilio Configuration
POST voicebot/voicebotChannelTwilioConfigurations
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
phoneNumber |
string | body | yes | Customers can choose one. Cannot be changed after creation in this version. |
phoneNumberCountry |
string | body | yes | Allowed values are BE, CA, DK, FR, AT, FI, US, NL, CL, GB, IL, PR, ZA, AU. |
-
Response:
voicebot Channel Twilio Configuration
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelTwilioConfigurations \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"phoneNumber":"","phoneNumberCountry":""}'
Response:
HTTP/1.1 201 Created
{
"id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a",
"phoneNumber": "",
"phoneNumberCountry": ""
}
Update the voicebot Channel Twilio Configuration
PUT voicebot/voicebotChannelTwilioConfigurations/{id}
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
phoneNumber |
string | body | yes | Customers can choose one. Cannot be changed after creation in this version. |
phoneNumberCountry |
string | body | yes | Allowed values are BE, CA, DK, FR, AT, FI, US, NL, CL, GB, IL, PR, ZA, AU. |
-
Response:
voicebot Channel Twilio Configuration
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelTwilioConfigurations/5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"phoneNumber":"","phoneNumberCountry":""}'
Response:
HTTP/1.1 200 OK
{
"id": "5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a",
"phoneNumber": "",
"phoneNumberCountry": ""
}
Remove the voicebot Channel Twilio Configuration
DELETE voicebot/voicebotChannelTwilioConfigurations/{id}
-
Parameters:
No Parameters
-
Response:
No Content
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelTwilioConfigurations/5b8d5c3a-2f16-4c9f-bfb6-4767d7b0db8a \
-X 'DELETE' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 204 No Content
Voice Bot Channel SIP Configuration JSON Format
Voice Bot Channel SIP Configuration is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
id |
guid | |
sIPServer |
string | SIP server domain or IP address. Can include the port. If Port is not specified, use 5060 as default port. |
username |
string | Username of this SIP. |
password |
string | Password of this SIP. |
isAuthUsernameRequired |
bool | Default: false. If need to use auth username to register. |
outboundProxy |
string | Only available when If Use Auth Username is true. Domain or IP address. Can include the port. If Port is not specified, use 5060 as default port. |
isOutboundProxyRequired |
bool | Default: false. If need to use different outbound proxy server to do outbound calls. |
authUsername |
string | Only available when If Use Auth Username is true. |
Get the list of Voice Bot Channel SIP Configurations
GET voicebot/voicebotChannelSIPConfigurations
-
Parameters:
No Parameters
-
Response:
An array of Voice Bot Channel SIP Configuration
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelSIPConfigurations \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"sIPServer": "",
"username": "",
"password": "",
"isAuthUsernameRequired": true,
"outboundProxy": "",
"isOutboundProxyRequired": true,
"authUsername": ""
}
]
Get a single Voice Bot Channel SIP Configuration
GET voicebot/voicebotChannelSIPConfigurations/{id}
-
Parameters:
No Parameters
-
Response:
Voice Bot Channel SIP Configuration
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelSIPConfigurations/44018834-86bf-4109-8061-afe3f98733f1 \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"sIPServer": "",
"username": "",
"password": "",
"isAuthUsernameRequired": true,
"outboundProxy": "",
"isOutboundProxyRequired": true,
"authUsername": ""
}
Create a new Voice Bot Channel SIP Configuration
POST voicebot/voicebotChannelSIPConfigurations
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
sIPServer |
string | body | no | SIP server domain or IP address. Can include the port. If Port is not specified, use 5060 as default port. |
username |
string | body | yes | Username of this SIP. |
password |
string | body | yes | Password of this SIP. |
isAuthUsernameRequired |
bool | body | no | Default: false. If need to use auth username to register. |
outboundProxy |
string | body | yes | Only available when If Use Auth Username is true. Domain or IP address. Can include the port. If Port is not specified, use 5060 as default port. |
isOutboundProxyRequired |
bool | body | no | Default: false. If need to use different outbound proxy server to do outbound calls. |
authUsername |
string | body | yes | Only available when If Use Auth Username is true. |
-
Response:
Voice Bot Channel SIP Configuration
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelSIPConfigurations \
-X 'POST' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"sIPServer":"","username":"","password":"","isAuthUsernameRequired":true,"outboundProxy":"","isOutboundProxyRequired":true,"authUsername":""}'
Response:
HTTP/1.1 201 Created
{
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"sIPServer": "",
"username": "",
"password": "",
"isAuthUsernameRequired": true,
"outboundProxy": "",
"isOutboundProxyRequired": true,
"authUsername": ""
}
Update the Voice Bot Channel SIP Configuration
PUT voicebot/voicebotChannelSIPConfigurations/{id}
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
sIPServer |
string | body | no | SIP server domain or IP address. Can include the port. If Port is not specified, use 5060 as default port. |
username |
string | body | yes | Username of this SIP. |
password |
string | body | yes | Password of this SIP. |
isAuthUsernameRequired |
bool | body | no | Default: false. If need to use auth username to register. |
outboundProxy |
string | body | yes | Only available when If Use Auth Username is true. Domain or IP address. Can include the port. If Port is not specified, use 5060 as default port. |
isOutboundProxyRequired |
bool | body | no | Default: false. If need to use different outbound proxy server to do outbound calls. |
authUsername |
string | body | yes | Only available when If Use Auth Username is true. |
-
Response:
Voice Bot Channel SIP Configuration
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelSIPConfigurations/44018834-86bf-4109-8061-afe3f98733f1 \
-X 'PUT' \
-H 'Authorization: Bearer {access_token}' \
-H 'Content-Type: application/json' \
-D '{"sIPServer":"","username":"","password":"","isAuthUsernameRequired":true,"outboundProxy":"","isOutboundProxyRequired":true,"authUsername":""}'
Response:
HTTP/1.1 200 OK
{
"id": "44018834-86bf-4109-8061-afe3f98733f1",
"sIPServer": "",
"username": "",
"password": "",
"isAuthUsernameRequired": true,
"outboundProxy": "",
"isOutboundProxyRequired": true,
"authUsername": ""
}
Remove the Voice Bot Channel SIP Configuration
DELETE voicebot/voicebotChannelSIPConfigurations/{id}
-
Parameters:
No Parameters
-
Response:
No Content
-
Example
Sample Request:
curl https://api11.comm100.io/v4/voicebot/voicebotChannelSIPConfigurations/44018834-86bf-4109-8061-afe3f98733f1 \
-X 'DELETE' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 204 No Content